> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Brain Property



## OpenAPI

````yaml /api/openapi.json patch /api/brain/properties/{key}
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/brain/properties/{key}:
    patch:
      tags:
        - Brain
      summary: Update Brain Property
      operationId: update_brain_property
      parameters:
        - schema:
            type: string
          in: path
          name: key
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              def:
                type: object
                shape:
                  label:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  definition:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                            type: string
                        type: nullable
                    type: optional
                  functional:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: boolean
                        type: boolean
                    type: optional
                  volatility:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: enum
                          entries:
                            durable: durable
                            volatile: volatile
                        type: enum
                        enum:
                          durable: durable
                          volatile: volatile
                        options:
                          - durable
                          - volatile
                    type: optional
                  status:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: enum
                          entries:
                            proposed: proposed
                            active: active
                            deprecated: deprecated
                        type: enum
                        enum:
                          proposed: proposed
                          active: active
                          deprecated: deprecated
                        options:
                          - proposed
                          - active
                          - deprecated
                    type: optional
              type: object
          multipart/form-data:
            schema:
              def:
                type: object
                shape:
                  label:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  definition:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                            type: string
                        type: nullable
                    type: optional
                  functional:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: boolean
                        type: boolean
                    type: optional
                  volatility:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: enum
                          entries:
                            durable: durable
                            volatile: volatile
                        type: enum
                        enum:
                          durable: durable
                          volatile: volatile
                        options:
                          - durable
                          - volatile
                    type: optional
                  status:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: enum
                          entries:
                            proposed: proposed
                            active: active
                            deprecated: deprecated
                        type: enum
                        enum:
                          proposed: proposed
                          active: active
                          deprecated: deprecated
                        options:
                          - proposed
                          - active
                          - deprecated
                    type: optional
              type: object
          text/plain:
            schema:
              def:
                type: object
                shape:
                  label:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  definition:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                            type: string
                        type: nullable
                    type: optional
                  functional:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: boolean
                        type: boolean
                    type: optional
                  volatility:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: enum
                          entries:
                            durable: durable
                            volatile: volatile
                        type: enum
                        enum:
                          durable: durable
                          volatile: volatile
                        options:
                          - durable
                          - volatile
                    type: optional
                  status:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: enum
                          entries:
                            proposed: proposed
                            active: active
                            deprecated: deprecated
                        type: enum
                        enum:
                          proposed: proposed
                          active: active
                          deprecated: deprecated
                        options:
                          - proposed
                          - active
                          - deprecated
                    type: optional
              type: object
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````